ClarisWksGraphInternal::Zone Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksGraphInternal::Zone Struct Reference

Internal: the generic structure used to store a zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::Zone:

## Public Types
enum | Type { T_Zone , T_Zone2 , T_Shape , T_Picture , T_Chart , T_DataBox , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Pict , T_QTim , T_Movie }
| the list of types More...

## Public Member Functions
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual Type | getType () const
| return the main type
virtual Type | getSubType () const
| return the subtype
virtual int | getNumData (int) const
| return the number of data to define this zone in the file
virtual void | print (std::ostream &) const
| print the data contains
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone
virtual int | getZoneId () const
| returns the id of the reference zone
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check)

## Public Attributes
int | m_zoneType
| the zone type
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<<

## Detailed Description

Internal: the generic structure used to store a zone of a ClarisWksGraph.

## Member Enumeration Documentation

## ◆ Type

enum ClarisWksGraphInternal::Zone::Type

the list of types

Enumerator
T_Zone |
T_Zone2 |
T_Shape |
T_Picture |
T_Chart |
T_DataBox |
T_Unknown |
T_Line |
T_Rect |
T_RectOval |
T_Oval |
T_Arc |
T_Poly |
T_Pict |
T_QTim |
T_Movie |

## Constructor & Destructor Documentation

## ◆ Zone() [1/2]

ClarisWksGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## ◆ Zone() [2/2]

ClarisWksGraphInternal::Zone::Zone | ( | Zone const & |  | ) |
| default

## ◆ ~Zone()

ClarisWksGraphInternal::Zone::~Zone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ canBeSendAsGraphic()

virtual bool ClarisWksGraphInternal::Zone::canBeSendAsGraphic | ( |  | ) | const
| inlinevirtual

returns true if the zone can be send using a graphic listener (partial check)

Reimplemented in ClarisWksGraphInternal::ZoneZone.

## ◆ getBdBox()

MWAWBox2f ClarisWksGraphInternal::Zone::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

Referenced by ClarisWksGraph::readShape(), and ClarisWksGraph::sendShape().

## ◆ getChild()

virtual ClarisWksStruct::DSET::Child ClarisWksGraphInternal::Zone::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented in ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneZone, ClarisWksGraphInternal::Chart, and ClarisWksGraphInternal::ZoneUnknown.

## ◆ getNumData()

virtual int ClarisWksGraphInternal::Zone::getNumData | ( | int |  | ) | const
| inlinevirtual

return the number of data to define this zone in the file

Reimplemented in ClarisWksGraphInternal::Chart, ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneZone, and ClarisWksGraphInternal::ZoneUnknown.

## ◆ getSubType()

virtual Type ClarisWksGraphInternal::Zone::getSubType | ( |  | ) | const
| inlinevirtual

return the subtype

Reimplemented in ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneZone, ClarisWksGraphInternal::Chart, and ClarisWksGraphInternal::ZoneUnknown.

## ◆ getType()

virtual Type ClarisWksGraphInternal::Zone::getType | ( |  | ) | const
| inlinevirtual

return the main type

Reimplemented in ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneZone, ClarisWksGraphInternal::Chart, and ClarisWksGraphInternal::ZoneUnknown.

Referenced by canBeSendAsGraphic().

## ◆ getZoneId()

virtual int ClarisWksGraphInternal::Zone::getZoneId | ( |  | ) | const
| inlinevirtual

returns the id of the reference zone

Reimplemented in ClarisWksGraphInternal::ZoneZone.

## ◆ print()

virtual void ClarisWksGraphInternal::Zone::print | ( | std::ostream & |  | ) | const
| inlinevirtual

print the data contains

Reimplemented in ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneZone, ClarisWksGraphInternal::Chart, and ClarisWksGraphInternal::ZoneUnknown.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | zone )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f ClarisWksGraphInternal::Zone::m_box

the bdbox

Referenced by getBdBox(), getChild(), ClarisWksGraphInternal::ZoneShape::getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), ClarisWksGraphInternal::Chart::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisWksGraph::readGroupDef(), ClarisWksGraph::readShape(), and ClarisWksGraph::sendPicture().

## ◆ m_ordering

int ClarisWksGraphInternal::Zone::m_ordering

the ordering

Referenced by ClarisWksGraph::readGroupDef().

## ◆ m_page

int ClarisWksGraphInternal::Zone::m_page

the page (checkme: or frame linked )

## ◆ m_style

Style ClarisWksGraphInternal::Zone::m_style

the style

Referenced by ClarisWksGraph::readGroupDef(), and ClarisWksGraph::sendShape().

## ◆ m_zoneType

int ClarisWksGraphInternal::Zone::m_zoneType

the zone type

Referenced by ClarisWksGraph::readGroupDef(), and ClarisWksGraph::readShape().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx